Package org.eclipse.swt.events

# Interface VerifyListener

All Superinterfaces:
  `EventListener`, `SWTEventListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface VerifyListener extends SWTEventListener
Classes which implement this interface provide a method that deals with the events that are generated when text is about to be modified.

After creating an instance of a class that implements this interface it can be added to a text control using the `addVerifyListener` method and removed using the `removeVerifyListener` method. When the text is about to be modified, the verifyText method will be invoked.

See Also:
  - `VerifyEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`verifyText(VerifyEvent e)`
Sent when the text is about to be modified.

## Method Details

### verifyText

void verifyText(VerifyEvent e)
Sent when the text is about to be modified.

A verify event occurs after the user has done something to modify the text (typically typed a key), but before the text is modified. The doit field in the verify event indicates whether or not to modify the text.

Parameters:
  `e` - an event containing information about the verify